[20.04 FEAT] libvirt: Add support for PCI multifunction adapter hot plug/unplug in libvirt

Bug #1692458 reported by bugproxy on 2017-05-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Server Team
libvirt (Ubuntu)
High
Canonical Server Team

Bug Description

== Comment: #0 - Frank P. Novak <email address hidden> - 2016-06-29 18:37:58 ==
Libvirt currently supports cold passthrough of PCI multifunction adapters. However, it doesn't support proper hot plug/unplug of all the functions of these adapters.

This bug tracks the development work needed to enable PCI hot plug/unplug of multifunction adapters in libvirt.

== Comment: #13 - Leonardo Augusto Guimaraes Garcia <email address hidden> - 2017-01-18 18:30:50 ==
Shiva has been working on this one upstream. However, other changes going upstream related to the multi-PHB support in ppc64 are probably going to affect the work being done by Shiva. Given that this is not being ready upstream soon, moving this one to Ubuntu 17.10.

bugproxy (bugproxy) on 2017-05-22
tags: added: architecture-ppc64le bugnameltc-143252 severity-high targetmilestone-inin1710
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → libvirt (Ubuntu)
Frank Heimes (fheimes) on 2017-05-22
Changed in ubuntu-power-systems:
assignee: nobody → Canonical Server Team (canonical-server)

Hi,
thanks for opening this bug to track that work.
I read this is known to be incomplete yet, please let us know when there is any code/release that be considered for inclusion.

tags: added: p9-virt-stack
Changed in libvirt (Ubuntu):
status: New → Incomplete
Manoj Iyer (manjo) on 2017-06-01
tags: added: ubuntu-17.10

Ping - Polling for related commit ID's for p9 support

Frank Heimes (fheimes) on 2017-06-14
Changed in ubuntu-power-systems:
status: New → Incomplete

------- Comment From <email address hidden> 2017-06-14 10:16 EDT-------
Hi Christian,

This is not POWER9 specific. Actually, not even Power specific. This is still being worked upstream.

Thanks to clarify - I expected just as much but wanted to be sure.
So we keep it open and incomplete for now and might punt it to 18.04 later on if it takes more time.

Manoj Iyer (manjo) on 2017-07-19
Changed in ubuntu-power-systems:
importance: Undecided → High
Changed in libvirt (Ubuntu):
importance: Undecided → High

------- Comment From <email address hidden> 2017-07-20 05:08 EDT-------
*** Bug 156863 has been marked as a duplicate of this bug. ***

The mentioned "Bug 156863" is obviously a bugzilla bug.
Is it also a duplicate of another bug in Launchpad?

Manoj Iyer (manjo) on 2017-07-24
tags: added: triage-g

------- Comment From <email address hidden> 2017-08-07 15:22 EDT-------
(In reply to comment #22)
> The mentioned "Bug 156863" is obviously a bugzilla bug.
> Is it also a duplicate of another bug in Launchpad?

No. It has been marked as a duplicate by error.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-14 10:55 EDT-------
Madhu,

Could you please point the upstream commit IDs for this feature? Or, given that Ubuntu 17.10 is using libvirt 3.6 now, hopefully this already has the needed commits.

Manoj Iyer (manjo) on 2017-09-25
Changed in libvirt (Ubuntu):
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → David Britton (davidpbritton)
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-10-03 09:51 EDT-------
Hi Leonardo, This is not yet upstream, and will be too late for 17.10, so re-targeting to 18.04.

Thanks,
Shiva

tags: added: targetmilestone-inin1804
removed: targetmilestone-inin1710
Manoj Iyer (manjo) on 2017-11-06
Changed in ubuntu-power-systems:
status: Incomplete → Triaged
Changed in libvirt (Ubuntu):
status: Incomplete → Triaged
tags: added: ubuntu-18.04
removed: ubuntu-17.10
Manoj Iyer (manjo) on 2017-11-06
summary: - [17.10 FEAT] libvirt: Add support for PCI multifunction adapter hot
+ [18.04 FEAT] libvirt: Add support for PCI multifunction adapter hot
plug/unplug in libvirt
Changed in libvirt (Ubuntu):
milestone: none → ubuntu-18.04
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-02-12 00:27 EDT-------
@shiv will this be targeted for Ubuntu 18.04?

Looks like we are still waiting on the code to be upstreamed. Any updates on the upstream status ?

------- Comment From <email address hidden> 2018-02-14 13:40 EDT-------
This is not upstream yet. Shiva is working on it.

tags: added: targetmilestone-inin1810
removed: targetmilestone-inin1804
summary: - [18.04 FEAT] libvirt: Add support for PCI multifunction adapter hot
+ [18.10 FEAT] libvirt: Add support for PCI multifunction adapter hot
plug/unplug in libvirt
Frank Heimes (fheimes) on 2018-03-05
tags: added: ubuntu-18.10
removed: ubuntu-18.04
Manoj Iyer (manjo) on 2018-07-16
Changed in ubuntu-power-systems:
status: Triaged → Incomplete

IBM, 18.10 feature freeze is on the 23rd of Aug, any news on the upstream status of this patch?

------- Comment From <email address hidden> 2018-08-21 01:20 EDT-------
Patches posted upstream and pending review.

Changed in libvirt (Ubuntu):
assignee: David Britton (davidpbritton) → nobody

Have the patches made its way upstream? if so could you please post those links here?

bugproxy (bugproxy) on 2018-12-04
tags: added: targetmilestone-inin1904
removed: targetmilestone-inin1810

------- Comment From <email address hidden> 2018-12-06 02:13 EDT-------
The latest patch set is here:
https://www.redhat.com/archives/libvir-list/2018-March/author.html#00729

For now will also reduce the priority and will look into the priority of this more.

tags: added: severity-medium
removed: severity-high
Changed in ubuntu-power-systems:
importance: High → Medium
Manoj Iyer (manjo) on 2019-02-18
Changed in libvirt (Ubuntu):
assignee: nobody → Canonical Server Team (canonical-server)
Changed in ubuntu-power-systems:
status: Incomplete → Triaged
bugproxy (bugproxy) on 2019-03-18
tags: added: targetmilestone-inin1910
removed: targetmilestone-inin1904

From looking at the maillist in comment #16, it would appear that this patchset is still in discussion.

Changed in libvirt (Ubuntu):
status: Triaged → Incomplete
Andrew Cloke (andrew-cloke) wrote :

Marking as incomplete while waiting for the patchsets to land upstream.

Changed in ubuntu-power-systems:
status: Triaged → Incomplete

Updated title to reflect new 19.10 target.

summary: - [18.10 FEAT] libvirt: Add support for PCI multifunction adapter hot
+ [19.10 FEAT] libvirt: Add support for PCI multifunction adapter hot
plug/unplug in libvirt
Manoj Iyer (manjo) on 2019-07-01
Changed in libvirt (Ubuntu):
milestone: ubuntu-18.04 → ubuntu-19.10
Changed in ubuntu-power-systems:
importance: Medium → High

------- Comment From <email address hidden> 2019-07-01 10:27 EDT-------
Current progress: I chose to split the patch series into smaller chunks to make it easier to review and to be pushed. First part, 10 patches (out of 30) was sent to the Libvirt mailing list last Wednesday, June 26th [1]. It is still pending review. Before sending this first part I've sent a RFC to the mailing list reviving the discussion [2], and the community seems to approve it (or, at least, not rejecting it fiercely).

Still, I am not sure about the 19.10 target. Feature freeze for 19.10 is August 22nd (correct me if I'm wrong), so we have 30 patches to be pushed in 8 weeks. It is doable, but depends on how fast I can work it with the community on the reviews.

[1] https://www.redhat.com/archives/libvir-list/2019-June/msg01268.html
[2] https://www.redhat.com/archives/libvir-list/2019-June/msg00703.html

It's your targets/milestones - if 20.04 makes more sense for your upstreaming (and it seems it does) that seems fine for us.

Andrew Cloke (andrew-cloke) wrote :

Moving to target 20.04.

Frank Heimes (fheimes) on 2019-08-05
tags: added: targetmilestone-inin2004
removed: targetmilestone-inin1910
summary: - [19.10 FEAT] libvirt: Add support for PCI multifunction adapter hot
+ [20.04 FEAT] libvirt: Add support for PCI multifunction adapter hot
plug/unplug in libvirt
bugproxy (bugproxy) on 2019-08-05
tags: added: targetmilestone-inin1910
removed: targetmilestone-inin2004

FYI: see [1] and related posts for further upstream activity.

[1]: https://www.redhat.com/archives/libvir-list/2019-August/msg00640.html

------- Comment From <email address hidden> 2019-09-13 08:12 EDT-------
The first set of patches of the feature was pushed to Libvirt this last Monday, Sept 9th. The set contained enhancements/fixes in the test framework for the more sophisticated PCI multifunction tests that will come.

It is also worth mentioning is that I proposed a change in the PCI multifunction hot-unplug mechanism of the pseries machine in QEMU. The change was accepted and it is upstream. You can read more about it here [1], but the result is that the design of the multifunction hot-unplug in Libvirt can be simplified after this change.

I'll be re-testing the whole patch series after the recent changes in Libvirt master branch, then I'll make further adjustments considering that QEMU change I mentioned above. I'll end up submitting what's left of the feature in a single series, instead of breaking down in smaller pieces, given that the remaining patches are now quite tied up together.

[1] https://github.com/qemu/qemu/commit/02a1536eee333123c7735cd36484da53b860fbb7

tags: added: libvirt-20.04
Frank Heimes (fheimes) on 2019-10-21
Changed in ubuntu-power-systems:
status: Incomplete → Triaged
Manoj Iyer (manjo) on 2019-10-21
Changed in libvirt (Ubuntu):
status: Incomplete → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers